// .ui.xml template last modified: 1784194033386
package org.silverpeas.mobile.client.components.homepage;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlUtils;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import com.google.gwt.safehtml.shared.SafeUri;
import com.google.gwt.safehtml.shared.UriUtils;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.user.client.ui.Widget;

public class HomePageContent_HomePageUiBinderImpl implements UiBinder<com.google.gwt.user.client.ui.Widget, org.silverpeas.mobile.client.components.homepage.HomePageContent>, org.silverpeas.mobile.client.components.homepage.HomePageContent.HomePageUiBinder {

  interface Template extends SafeHtmlTemplates {
    @Template("<h3 class='title-bloc-part ui-title'>" + "{0}" + "</h3> <span id='{1}'></span>")
    SafeHtml html1(SafeHtml arg0, String arg1);
     
    @Template("<h3 class='title-bloc-part ui-title'>" + "{0}" + "</h3> <span id='{1}'></span>")
    SafeHtml html2(SafeHtml arg0, String arg1);
     
    @Template("<h3 class='title-bloc-part ui-title'>" + "{0}" + "</h3> <span id='{1}'></span>")
    SafeHtml html3(SafeHtml arg0, String arg1);
     
    @Template("<h3 class='title-bloc-part ui-title'>" + "{0}" + "</h3> <span id='{1}'></span>")
    SafeHtml html4(SafeHtml arg0, String arg1);
     
    @Template("<h3 class='title-bloc-part ui-title'>" + "{0}" + "</h3> <span id='{1}'></span>")
    SafeHtml html5(SafeHtml arg0, String arg1);
     
    @Template("")
    SafeHtml html6();
     
    @Template("")
    SafeHtml html7();
     
    @Template("<span id='{0}'></span> <div id='spaces'> <span id='{1}'></span> </div> <span id='{2}'></span> <span id='{3}'></span> <span id='{4}'></span> <span id='{5}'></span> <span id='{6}'></span> <span id='{7}'></span> <span id='{8}'></span>")
    SafeHtml html8(String arg0, String arg1, String arg2, String arg3, String arg4, String arg5, String arg6, String arg7, String arg8);
     
  }

  Template template = GWT.create(Template.class);


  public com.google.gwt.user.client.ui.Widget createAndBindUi(final org.silverpeas.mobile.client.components.homepage.HomePageContent owner) {


    return new Widgets(owner).get_container();
  }

  /**
   * Encapsulates the access to all inner widgets
   */
  class Widgets {
    private final org.silverpeas.mobile.client.components.homepage.HomePageContent owner;


    public Widgets(final org.silverpeas.mobile.client.components.homepage.HomePageContent owner) {
      this.owner = owner;
      build_msg();  // more than one getter call detected. Type: IMPORTED, precedence: 1
      build_domId3();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId5();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId7();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId9();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId11();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId0();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId1();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId2();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId4();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId6();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId8();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId10();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId12();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId13();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId3Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId5Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId7Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId9Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId11Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId0Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId1Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId2Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId4Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId6Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId8Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId10Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId12Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
      build_domId13Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
    }

    SafeHtml template_html1() {
      return template.html1(get_msg().favorites(), get_domId3());
    }
    SafeHtml template_html2() {
      return template.html2(get_msg().shortcutstools(), get_domId5());
    }
    SafeHtml template_html3() {
      return template.html3(get_msg().shortcuts(), get_domId7());
    }
    SafeHtml template_html4() {
      return template.html4(get_msg().lastPublications(), get_domId9());
    }
    SafeHtml template_html5() {
      return template.html5(get_msg().lastEvents(), get_domId11());
    }
    SafeHtml template_html6() {
      return template.html6();
    }
    SafeHtml template_html7() {
      return template.html7();
    }
    SafeHtml template_html8() {
      return template.html8(get_domId0(), get_domId1(), get_domId2(), get_domId4(), get_domId6(), get_domId8(), get_domId10(), get_domId12(), get_domId13());
    }

    /**
     * Getter for clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay called 0 times. Type: GENERATED_BUNDLE. Build precedence: 1.
     */
    private org.silverpeas.mobile.client.components.homepage.HomePageContent_HomePageUiBinderImpl_GenBundle get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      return build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay();
    }
    private org.silverpeas.mobile.client.components.homepage.HomePageContent_HomePageUiBinderImpl_GenBundle build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      // Creation section.
      final org.silverpeas.mobile.client.components.homepage.HomePageContent_HomePageUiBinderImpl_GenBundle clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay = (org.silverpeas.mobile.client.components.homepage.HomePageContent_HomePageUiBinderImpl_GenBundle) GWT.create(org.silverpeas.mobile.client.components.homepage.HomePageContent_HomePageUiBinderImpl_GenBundle.class);
      // Setup section.

      return clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay;
    }

    /**
     * Getter for msg called 5 times. Type: IMPORTED. Build precedence: 1.
     */
    private org.silverpeas.mobile.client.resources.ApplicationMessages msg;
    private org.silverpeas.mobile.client.resources.ApplicationMessages get_msg() {
      return msg;
    }
    private org.silverpeas.mobile.client.resources.ApplicationMessages build_msg() {
      // Creation section.
      msg = owner.msg;
      assert msg != null : "UiField msg with 'provided = true' was null";
      // Setup section.

      return msg;
    }

    /**
     * Getter for container called 1 times. Type: DEFAULT. Build precedence: 1.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_container() {
      return build_container();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_container() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel container = new com.google.gwt.user.client.ui.HTMLPanel(template_html8().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(container.getElement());

        get_domId0Element().get();
        get_domId1Element().get();
        get_domId2Element().get();
        get_domId4Element().get();
        get_domId6Element().get();
        get_domId8Element().get();
        get_domId10Element().get();
        get_domId12Element().get();
        get_domId13Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      container.addAndReplaceElement(get_actus(), get_domId0Element().get());
      container.addAndReplaceElement(get_spaces(), get_domId1Element().get());
      container.addAndReplaceElement(get_favorisSection(), get_domId2Element().get());
      container.addAndReplaceElement(get_shortCutsToolsSection(), get_domId4Element().get());
      container.addAndReplaceElement(get_shortCutsSection(), get_domId6Element().get());
      container.addAndReplaceElement(get_lastPublicationsSection(), get_domId8Element().get());
      container.addAndReplaceElement(get_lastEventsSection(), get_domId10Element().get());
      container.addAndReplaceElement(get_freeZoneSection(), get_domId12Element().get());
      container.addAndReplaceElement(get_freeZoneThinSection(), get_domId13Element().get());

      this.owner.container = container;

      return container;
    }

    /**
     * Getter for domId0 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId0;
    private java.lang.String get_domId0() {
      return domId0;
    }
    private java.lang.String build_domId0() {
      // Creation section.
      domId0 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId0;
    }

    /**
     * Getter for actus called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.FocusPanel get_actus() {
      return build_actus();
    }
    private com.google.gwt.user.client.ui.FocusPanel build_actus() {
      // Creation section.
      final com.google.gwt.user.client.ui.FocusPanel actus = (com.google.gwt.user.client.ui.FocusPanel) GWT.create(com.google.gwt.user.client.ui.FocusPanel.class);
      // Setup section.
      actus.add(get_news());

      this.owner.actus = actus;

      return actus;
    }

    /**
     * Getter for news called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_news() {
      return build_news();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_news() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList news = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      news.setStyleName("carroussel-news");

      this.owner.news = news;

      return news;
    }

    /**
     * Getter for domId0Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId0Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId0Element() {
      return domId0Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId0Element() {
      // Creation section.
      domId0Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId0());
      // Setup section.

      return domId0Element;
    }

    /**
     * Getter for domId1 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId1;
    private java.lang.String get_domId1() {
      return domId1;
    }
    private java.lang.String build_domId1() {
      // Creation section.
      domId1 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId1;
    }

    /**
     * Getter for spaces called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_spaces() {
      return build_spaces();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_spaces() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList spaces = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      spaces.setStyleName("ui-listview ui-listview-inset ui-corner-all ui-shadow");

      this.owner.spaces = spaces;

      return spaces;
    }

    /**
     * Getter for domId1Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId1Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId1Element() {
      return domId1Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId1Element() {
      // Creation section.
      domId1Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId1());
      // Setup section.

      return domId1Element;
    }

    /**
     * Getter for domId2 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId2;
    private java.lang.String get_domId2() {
      return domId2;
    }
    private java.lang.String build_domId2() {
      // Creation section.
      domId2 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId2;
    }

    /**
     * Getter for favorisSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_favorisSection() {
      return build_favorisSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_favorisSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel favorisSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html1().asString());
      // Setup section.
      favorisSection.setStylePrimaryName("favoris-bloc bloc");
      favorisSection.setVisible(false);

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(favorisSection.getElement());

        get_domId3Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      favorisSection.addAndReplaceElement(get_favoris(), get_domId3Element().get());

      this.owner.favorisSection = favorisSection;

      return favorisSection;
    }

    /**
     * Getter for domId3 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId3;
    private java.lang.String get_domId3() {
      return domId3;
    }
    private java.lang.String build_domId3() {
      // Creation section.
      domId3 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId3;
    }

    /**
     * Getter for favoris called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_favoris() {
      return build_favoris();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_favoris() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList favoris = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      favoris.setStyleName("ui-listview ui-listview-inset ui-corner-all ui-shadow");

      this.owner.favoris = favoris;

      return favoris;
    }

    /**
     * Getter for domId3Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId3Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId3Element() {
      return domId3Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId3Element() {
      // Creation section.
      domId3Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId3());
      // Setup section.

      return domId3Element;
    }

    /**
     * Getter for domId2Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId2Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId2Element() {
      return domId2Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId2Element() {
      // Creation section.
      domId2Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId2());
      // Setup section.

      return domId2Element;
    }

    /**
     * Getter for domId4 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId4;
    private java.lang.String get_domId4() {
      return domId4;
    }
    private java.lang.String build_domId4() {
      // Creation section.
      domId4 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId4;
    }

    /**
     * Getter for shortCutsToolsSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_shortCutsToolsSection() {
      return build_shortCutsToolsSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_shortCutsToolsSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel shortCutsToolsSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html2().asString());
      // Setup section.
      shortCutsToolsSection.setStylePrimaryName("tools-bloc bloc");
      shortCutsToolsSection.setVisible(false);

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(shortCutsToolsSection.getElement());

        get_domId5Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      shortCutsToolsSection.addAndReplaceElement(get_shortcutstools(), get_domId5Element().get());

      this.owner.shortCutsToolsSection = shortCutsToolsSection;

      return shortCutsToolsSection;
    }

    /**
     * Getter for domId5 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId5;
    private java.lang.String get_domId5() {
      return domId5;
    }
    private java.lang.String build_domId5() {
      // Creation section.
      domId5 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId5;
    }

    /**
     * Getter for shortcutstools called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_shortcutstools() {
      return build_shortcutstools();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_shortcutstools() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList shortcutstools = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      shortcutstools.setStyleName("ui-listview ui-listview-inset ui-corner-all ui-shadow");

      this.owner.shortcutstools = shortcutstools;

      return shortcutstools;
    }

    /**
     * Getter for domId5Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId5Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId5Element() {
      return domId5Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId5Element() {
      // Creation section.
      domId5Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId5());
      // Setup section.

      return domId5Element;
    }

    /**
     * Getter for domId4Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId4Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId4Element() {
      return domId4Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId4Element() {
      // Creation section.
      domId4Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId4());
      // Setup section.

      return domId4Element;
    }

    /**
     * Getter for domId6 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId6;
    private java.lang.String get_domId6() {
      return domId6;
    }
    private java.lang.String build_domId6() {
      // Creation section.
      domId6 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId6;
    }

    /**
     * Getter for shortCutsSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_shortCutsSection() {
      return build_shortCutsSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_shortCutsSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel shortCutsSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html3().asString());
      // Setup section.
      shortCutsSection.setStylePrimaryName("racourcis-bloc bloc");
      shortCutsSection.setVisible(false);

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(shortCutsSection.getElement());

        get_domId7Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      shortCutsSection.addAndReplaceElement(get_shortcuts(), get_domId7Element().get());

      this.owner.shortCutsSection = shortCutsSection;

      return shortCutsSection;
    }

    /**
     * Getter for domId7 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId7;
    private java.lang.String get_domId7() {
      return domId7;
    }
    private java.lang.String build_domId7() {
      // Creation section.
      domId7 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId7;
    }

    /**
     * Getter for shortcuts called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_shortcuts() {
      return build_shortcuts();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_shortcuts() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList shortcuts = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      shortcuts.setStyleName("ui-listview ui-listview-inset ui-corner-all ui-shadow");

      this.owner.shortcuts = shortcuts;

      return shortcuts;
    }

    /**
     * Getter for domId7Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId7Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId7Element() {
      return domId7Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId7Element() {
      // Creation section.
      domId7Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId7());
      // Setup section.

      return domId7Element;
    }

    /**
     * Getter for domId6Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId6Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId6Element() {
      return domId6Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId6Element() {
      // Creation section.
      domId6Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId6());
      // Setup section.

      return domId6Element;
    }

    /**
     * Getter for domId8 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId8;
    private java.lang.String get_domId8() {
      return domId8;
    }
    private java.lang.String build_domId8() {
      // Creation section.
      domId8 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId8;
    }

    /**
     * Getter for lastPublicationsSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_lastPublicationsSection() {
      return build_lastPublicationsSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_lastPublicationsSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel lastPublicationsSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html4().asString());
      // Setup section.
      lastPublicationsSection.setStylePrimaryName("last-publication-bloc bloc");
      lastPublicationsSection.setVisible(false);

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(lastPublicationsSection.getElement());

        get_domId9Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      lastPublicationsSection.addAndReplaceElement(get_lastPublications(), get_domId9Element().get());

      this.owner.lastPublicationsSection = lastPublicationsSection;

      return lastPublicationsSection;
    }

    /**
     * Getter for domId9 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId9;
    private java.lang.String get_domId9() {
      return domId9;
    }
    private java.lang.String build_domId9() {
      // Creation section.
      domId9 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId9;
    }

    /**
     * Getter for lastPublications called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_lastPublications() {
      return build_lastPublications();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_lastPublications() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList lastPublications = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      lastPublications.setStyleName("ui-listview ui-listview-inset ui-corner-all ui-shadow");

      this.owner.lastPublications = lastPublications;

      return lastPublications;
    }

    /**
     * Getter for domId9Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId9Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId9Element() {
      return domId9Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId9Element() {
      // Creation section.
      domId9Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId9());
      // Setup section.

      return domId9Element;
    }

    /**
     * Getter for domId8Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId8Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId8Element() {
      return domId8Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId8Element() {
      // Creation section.
      domId8Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId8());
      // Setup section.

      return domId8Element;
    }

    /**
     * Getter for domId10 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId10;
    private java.lang.String get_domId10() {
      return domId10;
    }
    private java.lang.String build_domId10() {
      // Creation section.
      domId10 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId10;
    }

    /**
     * Getter for lastEventsSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_lastEventsSection() {
      return build_lastEventsSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_lastEventsSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel lastEventsSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html5().asString());
      // Setup section.
      lastEventsSection.setStylePrimaryName("last-event-bloc bloc");
      lastEventsSection.setVisible(false);

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(lastEventsSection.getElement());

        get_domId11Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      lastEventsSection.addAndReplaceElement(get_lastEvents(), get_domId11Element().get());

      this.owner.lastEventsSection = lastEventsSection;

      return lastEventsSection;
    }

    /**
     * Getter for domId11 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId11;
    private java.lang.String get_domId11() {
      return domId11;
    }
    private java.lang.String build_domId11() {
      // Creation section.
      domId11 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId11;
    }

    /**
     * Getter for lastEvents called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_lastEvents() {
      return build_lastEvents();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_lastEvents() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList lastEvents = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.
      lastEvents.setStyleName("ui-listview ui-listview-inset ui-corner-all ui-shadow");

      this.owner.lastEvents = lastEvents;

      return lastEvents;
    }

    /**
     * Getter for domId11Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId11Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId11Element() {
      return domId11Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId11Element() {
      // Creation section.
      domId11Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId11());
      // Setup section.

      return domId11Element;
    }

    /**
     * Getter for domId10Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId10Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId10Element() {
      return domId10Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId10Element() {
      // Creation section.
      domId10Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId10());
      // Setup section.

      return domId10Element;
    }

    /**
     * Getter for domId12 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId12;
    private java.lang.String get_domId12() {
      return domId12;
    }
    private java.lang.String build_domId12() {
      // Creation section.
      domId12 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId12;
    }

    /**
     * Getter for freeZoneSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_freeZoneSection() {
      return build_freeZoneSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_freeZoneSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel freeZoneSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html6().asString());
      // Setup section.
      freeZoneSection.setStylePrimaryName("free-zone-bloc bloc");

      this.owner.freeZoneSection = freeZoneSection;

      return freeZoneSection;
    }

    /**
     * Getter for domId12Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId12Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId12Element() {
      return domId12Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId12Element() {
      // Creation section.
      domId12Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId12());
      // Setup section.

      return domId12Element;
    }

    /**
     * Getter for domId13 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId13;
    private java.lang.String get_domId13() {
      return domId13;
    }
    private java.lang.String build_domId13() {
      // Creation section.
      domId13 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId13;
    }

    /**
     * Getter for freeZoneThinSection called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_freeZoneThinSection() {
      return build_freeZoneThinSection();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_freeZoneThinSection() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel freeZoneThinSection = new com.google.gwt.user.client.ui.HTMLPanel(template_html7().asString());
      // Setup section.
      freeZoneThinSection.setStylePrimaryName("free-zone-thin-bloc bloc");

      this.owner.freeZoneThinSection = freeZoneThinSection;

      return freeZoneThinSection;
    }

    /**
     * Getter for domId13Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId13Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId13Element() {
      return domId13Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId13Element() {
      // Creation section.
      domId13Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId13());
      // Setup section.

      return domId13Element;
    }
  }
}
